com.sun.java.xml.ns.javaee

## Class RespectBindingType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.RespectBindingType

-     public class RespectBindingType
      extends Object

  Corresponds to the javax.xml.ws.RespectBinding annotation or its corresponding javax.xml.ws.RespectBindingFeature web service feature. This is used to control whether a JAX-WS implementation must respect/honor the contents of the wsdl:binding in the WSDL that is associated with the service. If the "enabled" element is "true", wsdl:binding in the associated WSDL, if any, must be respected/honored.

  Java-Klasse für respect-bindingType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="respect-bindingType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="enabled" type="{http://java.sun.com/xml/ns/javaee}true-falseType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TrueFalseType` | `enabled`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RespectBindingType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TrueFalseType` | `getEnabled()` Ruft den Wert der enabled-Eigenschaft ab.
    `void` | `setEnabled(TrueFalseType value)` Legt den Wert der enabled-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### enabled

          protected TrueFalseType enabled

  - ### Constructor Detail

    - #### RespectBindingType

          public RespectBindingType()

  - ### Method Detail

    - #### getEnabled

          public TrueFalseType getEnabled()

      Ruft den Wert der enabled-Eigenschaft ab.
      Returns:
        possible object is `TrueFalseType`

    - #### setEnabled

          public void setEnabled(TrueFalseType value)

      Legt den Wert der enabled-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `TrueFalseType`

Copyright © 2015 buschmais GbR. All rights reserved.